Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 676892 (CVE-2018-18500, CVE-2018-18501, CVE-2018-18505, MFSA-2019-02) - <www-client/firefox{,-bin}-{60.5.0,65.0}: multiple vulnerabilities (MFSA-2019-02)
Summary: <www-client/firefox{,-bin}-{60.5.0,65.0}: multiple vulnerabilities (MFSA-2019...
Status: RESOLVED FIXED
Alias: CVE-2018-18500, CVE-2018-18501, CVE-2018-18505, MFSA-2019-02
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://www.mozilla.org/en-US/securit...
Whiteboard: B2 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-30 08:40 UTC by D'juan McDonald (domhnall)
Modified: 2019-03-10 19:50 UTC (History)
1 user (show)

See Also:
Package list:
www-client/firefox-60.5.0
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D'juan McDonald (domhnall) 2019-01-30 08:40:43 UTC
CVE-2018-18500: Use-after-free parsing HTML5 stream

CVE-2018-18503: Memory corruption with Audio Buffer

CVE-2018-18504: Memory corruption and out-of-bounds read of texture client buffer

CVE-2018-18505: Privilege escalation through IPC channel messages

CVE-2018-18506: Proxy Auto-Configuration file can define localhost access to be proxied

CVE-2018-18502: Memory safety bugs fixed in Firefox 65

CVE-2018-18501: Memory safety bugs fixed in Firefox 65 and Firefox ESR 60.5



Gentoo Security Padawan
(domhnall)
Comment 1 Stabilization helper bot gentoo-dev 2019-01-30 22:00:26 UTC
An automated check of this bug failed - the following atom is unknown:

www-client-firefox-60.5.0

Please verify the atom list.
Comment 2 Thomas Deutschmann gentoo-dev Security 2019-01-31 22:18:39 UTC
x86 stable
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-06 11:45:26 UTC
amd64 stable
Comment 4 Larry the Git Cow gentoo-dev 2019-02-06 14:17:00 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a549899175e46425b3e0dee9286ac11522737b6

commit 7a549899175e46425b3e0dee9286ac11522737b6
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2019-02-06 14:16:21 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2019-02-06 14:16:21 +0000

    www-client/firefox-bin: security cleanup
    
    Bug: https://bugs.gentoo.org/676892
    Package-Manager: Portage-2.3.59, Repoman-2.3.12
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 www-client/firefox-bin/Manifest                    | 172 --------------------
 .../firefox-bin/firefox-bin-60.4.0-r1.ebuild       | 179 ---------------------
 .../firefox-bin/firefox-bin-64.0.2-r1.ebuild       | 179 ---------------------
 3 files changed, 530 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e6a8e1b86fb7a9466ec87c022cd98b617559397

commit 9e6a8e1b86fb7a9466ec87c022cd98b617559397
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2019-02-06 14:15:32 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2019-02-06 14:15:32 +0000

    www-client/firefox: security cleanup
    
    Bug: https://bugs.gentoo.org/676892
    Package-Manager: Portage-2.3.59, Repoman-2.3.12
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 www-client/firefox/Manifest              | 278 --------------
 www-client/firefox/firefox-60.4.0.ebuild | 419 --------------------
 www-client/firefox/firefox-64.0.2.ebuild | 639 -------------------------------
 www-client/firefox/firefox-64.0.ebuild   | 639 -------------------------------
 4 files changed, 1975 deletions(-)
Comment 5 Thomas Deutschmann gentoo-dev Security 2019-02-06 14:20:03 UTC
New GLSA request filed.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2019-03-10 19:50:57 UTC
This issue was resolved and addressed in
 GLSA 201903-04 at https://security.gentoo.org/glsa/201903-04
by GLSA coordinator Aaron Bauman (b-man).